import App from './App'
import Vue from 'vue'

// vuex
import store from './store'

import wxSilentLogin from './common/wxSilentLogin.js'

import mixin from './common/mixin'
Vue.mixin(mixin)

import api from '@/common/request.api.js'
Vue.prototype.$api = api

Vue.prototype.WxSilentLogin = wxSilentLogin

Vue.config.productionTip = false
App.mpType = 'app'

const app = new Vue({
    store,
    ...App
})
app.$mount()
